2

When using sudo apt-get update; sudo apt-get upgrade, I always get the following error messages (sometimes more than once):

Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
/sbin/ldconfig.real: /usr/lib32/libstdc++.so.6.0.18-gdb.py is not an ELF file - it has the wrong magic bytes at the start.

/sbin/ldconfig.real: /usr/lib/libisl.so.10.1.1-gdb.py is not an ELF file - it has the wrong magic bytes at the start.

What does this mean (how can python source files be ELF, I mean)? And how can I fix this? Thanks.


Additional info:

I use zsh rather than bash. Is this a shell compatibility issue?

1

I don't think that this is a shell issue. However, I do see that other people have this problem as well -- there is even a bug report on that. Apparently, the files end up in /usr/lib and when ldconfig tries to process them, it naturally fails. However, since that is only a warning, maybe you should not worry about it? Alternatively, you could try to move them to temporary location somewhere and see where it gets you.

Try figuring out to which package this file belongs (for example with apt-file search "libisl.so.10.1.1-gdb.py"; I think it might be libisl8-dbg -- do you need this package?), and check whether the package itself (or packages that depend on that package) run w/o problems. Unfortunately, you did not mention which Ubuntu version you are using.

  • Thanks for calling attention to the problematic files themselves. After looking at the python files closely, I think they were created as I compiled gcc-4.8.1 myself. They should not be managed by apt in the first place. – 4ae1e1 Jul 5 '13 at 7:37
  • Well, I guess the bad is on gcc's part. They shouldn't have placed source files in lib directory (or maybe they have a valid reason to do so). – 4ae1e1 Jul 5 '13 at 7:40

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.